{
  description = "LiteNet services flake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
      #url="path:/Rory-Open-Architecture/nixpkgs";
    };
    home-manager = {
      url = "github:nix-community/home-manager/master";
    };

    Rory-Open-Architecture = {
      url = "git+https://cgit.rory.gay/Rory-Open-Architecture.git";
      flake = false;
    };
  };

  outputs =
    inputs: with inputs; {
      nixosConfigurations = {
        matrix = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            ./host/matrix/configuration.nix
            ./hardware-configuration.nix

            ./modules/packages/ooye/module/main.nix

            home-manager.nixosModules.home-manager

            # Rory&'s user
            (
              { config, ... }:
              {
                programs.dconf.enable = true;
              }
            ) # Fix for home-manager failing to deploy
            (Rory-Open-Architecture + "/modules/users/Rory.nix")
          ];
          specialArgs = {
            inherit home-manager;
          };
        };
      };
    };
}
