{
  config,
  lib,
  pkgs,
  ...
}:
{
  options.services.ooye = {
    enable = lib.mkEnableOption "Enable the Ooye service";
    package = lib.mkOption {
      type = lib.types.package;
      default = pkgs.callPackage ../packages/package.nix { };
      description = ''
        The Ooye package.
      '';
    };
    #discordAccessTokenFile = lib.mkOption {
    #  type = lib.types.path;
    #  default = "/etc/ooye/discord-access-token";
    #  description = ''
    #    The path to the file containing the Discord access token.
    #  '';
    #};
    ##yaml
    #matrixHomeserverConfig = lib.mkOption {
    #  types = lib.types.submodule;
    #  homeserverTokenFile = lib.mkOption {
    #    type = lib.types.path;
    #    default = "/etc/matrix/homeserver-token";
    #    description = ''
    #      The path to the file containing the Matrix homeserver token.
    #    '';
    #  };
    #  appserviceTokenFile = lib.mkOption {
    #    type = lib.types.path;
    #    default = "/etc/matrix/appservice-token";
    #    description = ''
    #      The path to the file containing the Matrix appservice token.
    #    '';
    #  };
    #  
    #};
  };

  config = lib.mkIf (config.services.ooye.enable) {
    systemd.services."ooye.service" = {
      enable = true;
      serviceConfig = {
        ExecStart = "${config.services.ooye.package}/bin/ooye";
      };
    };
  };
}
